Nucleus(JP)フォーラム

NucleusCMS日本語版ユーザーのためのサポートフォーラムです。疑問が生じたらまずは記事検索をご利用ください。

ログインしていません。

#1 2016-07-04 13:55:04

fon
メンバー
登録日: 2016-07-04
投稿: 3

NP_ImpExpがインストールできません

お世話になります。
XREAでnucleusを動かして10年ほどになります。
このたび、サーバーを移転するのと一緒に、nucleusからwordpressに移行を計画し、表記プラグインをインストールしようとしたのですが、
プラグインのインストールというボタンを押すと、このような表記になります。

Warning: require_once(cles/MTFileParser.php) [function.require-once]: failed to open stream: No such file or directory in /virtual/hogehoge/public_html/blog/nucleus/plugins/NP_ImpExp.php on line 43

Fatal error: require_once() [function.require]: Failed opening required 'cles/MTFileParser.php' (include_path='/virtual/hogehoge/public_html/blog/nucleus/plugins/sharedlibs:.:/usr/local/lib/php') in /virtual/hogehoge/public_html/blog/nucleus/plugins/NP_ImpExp.php on line 43

PHP5.3.29
MYSQL 5.6.22
nucleus 3.70
以上がシステム環境です。


以前にxreaでPHPのバージョンがアップされた時に、様々な障害が発生して一部はそのまま放置して今日まで来ておりますので、その関係かとも思いますが、
さっぱりわからないのでこちらで質問させていただきました。
どうぞよろしくお願いいたします。

編集者 fon (2016-07-04 13:55:52)

オフライン

#2 2016-07-08 11:44:42

nshown
メンバー
登録日: 2008-01-05
投稿: 105

Re: NP_ImpExpがインストールできません

NP_ImpExpをインストールしてみましたが、現象発生しませんでした。

なお、当方でインストールしたNP_ImpExpは、下記のアドレスからダウンロードしたVer.1.6です。
https://github.com/NucleusCMS/NP_ImpExp

また、当方の環境はXampp 5.6.8 for WindowsがインストールされたWindows8.1です。
詳細なソフトのバージョンは下記の通りです。
Apache 2.4.12
PHP 5.6.8
MySQL 5.6.24
Nucleus 3.71

fon様の方で表示された「Fatal error」以下を拝見しますと、「cles/MTFileParser.php」のオープンに失敗したとのメッセージのようですので、ひとまずpluginsディレクトリの中のsharedlibsディレクトリにclesディレクトリがあり、「MTFileParser.php」ファイルが存在しているかお確かめ頂けますでしょうか。

編集者 nshown (2016-07-08 11:45:23)

オフライン

#3 2016-07-09 21:20:59

fon
メンバー
登録日: 2016-07-04
投稿: 3

Re: NP_ImpExpがインストールできません

nshown様

調べてくださりありがとうございます。
早速確認してみましたところ、sharedlibsディレクトリの中にclesディレクトリがあり、その中にはFeedback.phpとTemplate.phpの2つのファイルがあり、
当該の「MTFileParser.php」は存在しませんでした。

現在、sharedlibsというプラグインはインストールしていないようで、管理画面のプラグイン一覧には入っていませんでした。
サーバーのPHPがアップグレードされた時に、動かなくなって外したプラグインが幾つかあり、その中の一つかもしれません。

また、ダウンロードした場所はhttp://japan.nucleuscms.org/wiki/plugins:impexp で、バージョンは1.1とありました。
最も新しいものが1.6ならば、古すぎますね。勉強不足で、公式サイトが最新なのだと思い込んでいました。

この程度しかわかりませんでしたが、よろしくお願いいたします。

オフライン

#4 2016-07-10 10:00:42

nshown
メンバー
登録日: 2008-01-05
投稿: 105

Re: NP_ImpExpがインストールできません

Ver.1.1もインストールをしてみましたところ、エラーもなくインストールできるようです。
再度Ver.1.1をダウンロードして、オープンエラーとなったファイルをご入手されては。

オフライン

#5 2016-07-12 21:52:03

fon
メンバー
登録日: 2016-07-04
投稿: 3

Re: NP_ImpExpがインストールできません

ありがとうございます。あらためてダウンロードしてみたところ、1.1でもインストールできました。
ただし、エラーが出て、エクスポートはできませんでした。
Githubで1.6を入手し、インストールしたところ、エクスポートまでこぎつけました。

簡単なミスだったようで、お騒がせいたしました。
教えてくださった皆さまに感謝いたします。
どうもありがとうございました。

オフライン

Board footer